match_score
/api/v1/match-score/calculate
POST
/api/v1/match-score/calculate
const url = 'https://dpg.example.com/api/v1/match-score/calculate';const options = { method: 'POST', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"itemA":{"item_network":"example","item_domain":"example","item_type":"example","item_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","item_instance_url":"example","item_schema_url":"example","item_state":{"additionalProperty":"example"},"lifecycle_status":"draft","item_latitude":1,"item_longitude":1},"itemB":{"item_network":"example","item_domain":"example","item_type":"example","item_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","item_instance_url":"example","item_schema_url":"example","item_state":{"additionalProperty":"example"},"lifecycle_status":"draft","item_latitude":1,"item_longitude":1}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://dpg.example.com/api/v1/match-score/calculate \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "itemA": { "item_network": "example", "item_domain": "example", "item_type": "example", "item_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "item_instance_url": "example", "item_schema_url": "example", "item_state": { "additionalProperty": "example" }, "lifecycle_status": "draft", "item_latitude": 1, "item_longitude": 1 }, "itemB": { "item_network": "example", "item_domain": "example", "item_type": "example", "item_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "item_instance_url": "example", "item_schema_url": "example", "item_state": { "additionalProperty": "example" }, "lifecycle_status": "draft", "item_latitude": 1, "item_longitude": 1 } }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
itemA
required
object
item_network
required
string
item_domain
required
string
item_type
required
string
item_id
required
string format: uuid
item_instance_url
required
string
item_schema_url
required
string
item_state
required
lifecycle_status
string
item_latitude
number
item_longitude
number
itemB
required
object
item_network
required
string
item_domain
required
string
item_type
required
string
item_id
required
string format: uuid
item_instance_url
required
string
item_schema_url
required
string
item_state
required
lifecycle_status
string
item_latitude
number
item_longitude
number
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
provider
required
string
score
number
band
string
confidence
number
version
string
prompt_version
string
model_provider
string
model
string
reasoning
string
signals
Array<object>
object
name
required
string
impact
required
string
summary
required
string
raw_response
required
Examplegenerated
{ "provider": "example", "score": 1, "band": "example", "confidence": 1, "version": "example", "prompt_version": "example", "model_provider": "example", "model": "example", "reasoning": "example", "signals": [ { "name": "example", "impact": "example", "summary": "example" } ], "raw_response": "example"}Default Response
Media typeapplication/json
object
error
required
string
message
required
string
Examplegenerated
{ "error": "example", "message": "example"}Default Response
Media typeapplication/json
object
error
required
string
message
required
string
Examplegenerated
{ "error": "example", "message": "example"}
